<?php

class camp_shirt {
	private $cshirt_id;
	private $cshirt_name;
	private $cshirt_deleted;


	public function set_cshirt_id($_item) {
		$this->cshirt_id = $_item;
	}

	public function set_cshirt_name($_item) {
		$this->cshirt_name = $_item;
	}

	public function set_cshirt_deleted($_item) {
		$this->cshirt_deleted = $_item;
	}

	public function get_cshirt_id() {
		return $this->cshirt_id;
	}

	public function get_cshirt_name() {
		return $this->cshirt_name;
	}

	public function get_cshirt_deleted() {
		return $this->cshirt_deleted;
	}

	public function set_cshirt_data_by_id($_id) {
    	global $sql;
		$ck_data_assoc_array = $sql->assoc_array("select * from camp_shirt where cshirt_id = " . $_id);
		$ck_data_array = $ck_data_assoc_array[0];
		foreach ($ck_data_array as $field => $value) {
			$function_name = "set_" . $field;
			$this->$function_name($value);
		}
    }
}


?>
